Package org.springframework.security.config.annotation

# Class AlreadyBuiltException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalStateException
org.springframework.security.config.annotation.AlreadyBuiltException

All Implemented Interfaces:
  `Serializable`

public class AlreadyBuiltException extends IllegalStateException
Thrown when `AbstractSecurityBuilder.build()` is two or more times.

Since:
  3.2
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AlreadyBuiltException(String message)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AlreadyBuiltException

public AlreadyBuiltException(String message)